#pragma hdrfile "hdr.sym"
#include <stdio.h>
#include <stdlib.h>
#include <dos.h>
#include <bios.h>
#include <string.h>
#include <ctype.h>
#include <fcntl.h>
#include <io.h>
#include <conio.h>
#define MMNU 53
void menu(int, int, char*,int);
int pod_menu(int k);
void cursor(int,int,int,int);
void save_video(int,int,int,char*);
void restore_video(int,int,int,char*);
void maliar(char,char,char,char,char);
void maliar_space(char,char,char,char,char);
void make_window(char,char,char,char,char,char);
void realize_main_menu(int,int);
void data(double **c,double **d,double *a,double *b,int m,int n);
void set_curs(char,char,char,char);
char set_color(char,char,int,char);
char edit(char a[12],char,char,char,char);
void edit_matrix(double **a,int ni,int nj,char x1,char y1,char ki,char kj,
                 char color,char color_frame);
void wr_sektor(double **a,int i,int j,char ki,char kj,char x1,char y1,char);
void wr_koord(char x1,char y1,int i,int j,char indi,char color);
FILE *file_open(char mode);
double edit_str(char x,char y,char x1);
void message(void);
void error(char*);
void message(char *m1,char *m2,char *m3,char *m4);

//************************************************
void nord_west(double **c,double **x0,double *a,double *b);
void min_elem(double **c,double **x0,double *a,double *b);
void improvement(double** x,int imax,int jmax,int M,int N);
char improvement1(double** x,double** x0,double **d,int imax,int jmax,int M,int N);
void poten(double **c,double **x,double *v,double *u,int M,int N);
int transp(double **c,double **x,int M,int N);
int transp1(double **c,double **x,double **d,int M,int N,double eps,char flag);
void prov(double **c,double *a,double *b);
void min_elem1(double **c,double **d,double **x0,double *a,double *b);
void opor(double **c,double **d,double **x0,double *a,double *b);
void view(char x1,char y1,char x2,char y2,char color);
double minimum(double a, double b, double c);
char cikl(double **x,int m,int n);
//   201 É » 187    Í 205
//   200 È ¼ 188    º 186

